<?php 
$wp_customize->add_section(
    'peccular_classes_section',
    array( 
        'title'   => __( 'Programs', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>23
    ) 
);
  
$wp_customize->add_setting('peccular_classes_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));  
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_classes_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Classes Section Settings', 'peccular'),
  'description' => 'peccular_classes_reset_settings',
  'section' => 'peccular_classes_section'
))); 

$wp_customize->add_setting('peccular_classes_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_classes_nav', array(
       'section' => 'peccular_classes_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_classes_enable', 
                'peccular_classes_maintitle',
                'peccular_classes_head_icon_enable',
                'peccular_classes_head_icon',  
                'peccular_classes_area_lbl',
                'peccular_classes_section_lbl', 
                'peccular_classes_section_imglbl',
                'peccular_classes_number', 
                'peccular_classes_heading1',
                'peccular_classes_heading2',
                'peccular_classes_heading3',
                'peccular_classes_heading4',
                'peccular_classes_heading5',
                'peccular_classes_heading6',
                'peccular_classes_heading7',
                'peccular_classes_heading8',
                'peccular_classes_heading9',
                'peccular_classes_heading10',
                'peccular_classes_heading11',
                'peccular_classes_heading12',
                'peccular_classes_page1',
                'peccular_classes_page2',
                'peccular_classes_page3',
                'peccular_classes_page4',
                'peccular_classes_page5',
                'peccular_classes_page6',
                'peccular_classes_page7',
                'peccular_classes_page8',
                'peccular_classes_page9',
                'peccular_classes_page10',
                'peccular_classes_page11',
                'peccular_classes_page12',
                'peccular_classes_icon_enable',
                'peccular_classes_button_enable',
                'peccular_classes_button_text'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_classes_section_bg_color',
                'peccular_classes_section_bg_image',
                'peccular_classes_image_opacity',  
                'peccular_classes_imghover_color',
                'peccular_classes_box_onload_effects',
                'peccular_classes_title_case',
                'peccular_classes_head_align',
                'peccular_classes_content_align',
                'peccular_classes_overlay_color1',
                'peccular_classes_heading_color1',
                'peccular_classes_headingIcon_color',
                'peccular_classes_title_color1',
                'peccular_classes_text_color',
                'peccular_classes_btntxt_color',
                'peccular_classes_btnBG_color',
                'peccular_classes_btnHvrtxt_color',
                'peccular_classes_btnHvrBG_color',
                'peccular_classes_imgHvrOverly_color1',
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_classes_padding',
                'peccular_classes_top_padding',
                'peccular_classes_bottom_padding',
                'peccular_classes_section_width',  
                'peccular_classes_post_image_height',
                'peccular_classes_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_classes_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_classes_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_classes_section'
)));

$wp_customize->add_setting(
    'peccular_classes_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Classes', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_classes_maintitle',
    array(
        'settings'      => 'peccular_classes_maintitle',
        'section'       => 'peccular_classes_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

// $wp_customize->add_setting('peccular_classes_head_icon_enable',array(
//         'default' => 'No',
//         'sanitize_callback' => 'peccular_sanitize_choices',
//     ));
//     $wp_customize->add_control('peccular_classes_head_icon_enable',array(
//         'type' => 'radio',
//         'label' => __('Heading Icon Display','peccular'),
//         'choices' => array (
//             'No' => __('No','peccular'),
//             'Yes' => __('Yes','peccular')        
//         ),
//         'section' => 'peccular_classes_section'
//     ));
 $wp_customize->add_setting(
        'peccular_classes_head_icon',
        array(
            'default'           => 'fa fa-blind',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_classes_head_icon',
            array(
                // 'settings'      => 'peccular_classes_head_icon',
                'section'       => 'peccular_classes_section',
                'type'          => 'icon',
                'label'         => __( 'Heading Icon', 'peccular-premium' ),
                'active_callback' => 'peccular_classes_type_icon'
            )
        )
    );

$ClassesSingleChoice[] = 'select';
if(!is_array($ClassesSingleChoice)){
    $wp_customize->add_setting('peccular_classes_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_classes_area_lbl',
            array(
                'settings'      => 'peccular_classes_area_lbl',
                'section'       => 'peccular_classes_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the classes.</strong> <br/>Please add the classes from "classes menu" and then select classes to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_classes_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_classes_section_lbl',
        array(
            'settings'      => 'peccular_classes_section_lbl',
            'section'       => 'peccular_classes_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[CLASSES]" in your page to list the classes in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_classes_section_imglbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_classes_section_imglbl',
        array(
            'settings'      => 'peccular_classes_section_imglbl',
            'section'       => 'peccular_classes_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Recommended Image Size: 411 X 570px', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_classes_number',array('sanitize_callback' => 'peccular_sanitize_text','default' => 2));
$wp_customize->add_control(
    'peccular_classes_number',
    array(
        'settings'      => 'peccular_classes_number',
        'section'       => 'peccular_classes_section',
        'type'          => 'select',
        'label'         => __( 'Number of Classes To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//classes PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_classes_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_classes_heading'.$i,
            array(
                'settings'      => 'peccular_classes_heading'.$i,
                'section'       => 'peccular_classes_section',
                'label'         => __( 'Classes', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_classes_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    ); 
    $wp_customize->add_control(
        'peccular_classes_page'.$i,
        array(
            'settings'      => 'peccular_classes_page'.$i,
            'section'       => 'peccular_classes_section',
            'type'=> 'select',
            'label'         => __( 'Select Classes', 'peccular Premium' ),
            'choices' => $ClassesSingleChoice,
        )
    ); 

}

$wp_customize->add_setting( 'peccular_classes_button_enable' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_classes_button_enable', array( 'label' => 'Button Display', 'section' => 'peccular_classes_section', 'settings' => 'peccular_classes_button_enable', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 

$wp_customize->add_setting(
    'peccular_classes_button_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'peccular_classes_button_text',
    array(
        'settings'      => 'peccular_classes_button_text',
        'section'       => 'peccular_classes_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular Premium' )
    )
);

// $wp_customize->add_setting('peccular_classes_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_classes_btnlink',
//     array(
//         'settings'      => 'peccular_classes_btnlink',
//         'section'       => 'peccular_classes_section',
//         'type'          => 'url',
//         'label'         => __( 'Add Button link here', 'peccular-premium' )
//     )
// );

  $wp_customize->add_setting( 'peccular_classes_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_classes_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_classes_section',
    ))); 

    $wp_customize->add_setting( 'peccular_classes_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_classes_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_classes_section',
    )));


 $wp_customize->add_setting('peccular_classes_image_opacity',array(
        'default' => 0.7,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_classes_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_classes_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('peccular_classes_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_classes_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_classes_section', 
    ));

    $wp_customize->add_setting('peccular_classes_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_classes_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_classes_section',
    ));

    $wp_customize->add_setting('peccular_classes_content_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_classes_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_classes_section',
    ));

     $wp_customize->add_setting('peccular_classes_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_classes_title_case',array(
        'type' => 'select',
        'label' => __('classes Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_classes_section',
    )); 

addColorPalatOption($wp_customize, 'peccular_classes_heading_color1', 'peccular_classes_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_classes_headingIcon_color', 'peccular_classes_section', 'Heading Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_classes_overlay_color1', 'peccular_classes_section', 'Image Bottom Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_classes_title_color1', 'peccular_classes_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_classes_text_color', 'peccular_classes_section', 'Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_classes_btntxt_color', 'peccular_classes_section', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_classes_btnBG_color', 'peccular_classes_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_classes_btnHvrtxt_color', 'peccular_classes_section', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_classes_btnHvrBG_color', 'peccular_classes_section', 'Button Hover BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_classes_imgHvrOverly_color1', 'peccular_classes_section', 'Image Hover Overlay Color ', '');

 $wp_customize->add_setting('peccular_classes_padding',array(
      'sanitize_callback'   => 'esc_html'
   )); 
   $wp_customize->add_control('peccular_classes_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_classes_section'
   ));

    $wp_customize->add_setting('peccular_classes_top_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_classes_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_classes_section',
    ));
     $wp_customize->add_setting('peccular_classes_bottom_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_classes_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_classes_section',
    ));

  $wp_customize->add_setting('peccular_classes_section_width',array(
        'default' => 'Box Width', 
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_classes_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_classes_section',
    ));
 
// backgroundManager($wp_customize, 'classes', 'peccular_classes_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img'); 

$wp_customize->add_setting('peccular_classes_post_image_height',array(
        'default' => 600,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_classes_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_classes_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ), 
    )));
 
    $wp_customize->add_setting('peccular_classes_post_excerpt',array(
        'default' => 20,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_classes_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_classes_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
?>