<?php
$wp_customize->add_section(
    'peccular_project_section',
    array(
        'title' => __( 'Our Project', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>29
    )
);

$wp_customize->add_setting('peccular_project_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_project_nav', array(
       'section' => 'peccular_project_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_project_enable', 
                'peccular_project_maintitle',
                'peccular_project_head_icon_enable',
                'peccular_project_head_icon',
                'peccular_project_subtitle',
                'peccular_project_subtitle2',
                'peccular_project_area_lbl', 
                'peccular_project_section_lbl',  
                'peccular_project_npp_count',
                'peccular_project_heading1',
                'peccular_project_page1',
                'peccular_project_heading2',
                'peccular_project_page2',
                'peccular_project_heading3',
                'peccular_project_page3',
                'peccular_project_heading4',
                'peccular_project_page4',
                'peccular_project_heading5',
                'peccular_project_page5',
                'peccular_project_heading6',
                'peccular_project_page6',
                'peccular_project_heading7',
                'peccular_project_page7',
                'peccular_project_heading8',
                'peccular_project_page8',
                'peccular_project_heading9',
                'peccular_project_page9',
                'peccular_project_heading10',
                'peccular_project_page10',
                'peccular_project_heading11',
                'peccular_project_page11',
                'peccular_project_heading12',
                'peccular_project_page12',
                'peccular_project_button_enable',
                'peccular_project_button_text',
                'peccular_project_subtitle2link'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_project_section_bg_color',
                'peccular_project_section_bg_image',
                'peccular_project_image_opacity',                               
                'peccular_project_box_onload_effects',
                'peccular_project_title_case',
                'peccular_project_head_align',
                'peccular_project_box_align',
                'peccular_project_heading_color',
                'peccular_project_subheading_color',
                'peccular_project_subheading2_color',
                'peccular_project_title_color',               
                'peccular_project_btn_color',
                'peccular_project_btnbg_color',
                'peccular_project_btnhovborder_color',               
                'peccular_project_btnhover_color',
                'peccular_project_btnbghover_color',
                'peccular_project_box_color'
               
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_project_padding',
                'peccular_project_section_t_padding',
                'peccular_project_section_b_padding',
                'peccular_project_section_width',
                'peccular_project_post_image_height',
                'peccular_project_post_excerpt'
            ),
         )
        ),
    )));


$wp_customize->add_setting( 'peccular_project_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_project_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_project_section'
)));

$wp_customize->add_setting(
    'peccular_project_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Latest Project', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_project_maintitle',
    array(
        'settings'      => 'peccular_project_maintitle',
        'section'       => 'peccular_project_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_project_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There Are Many Variations Of Passages', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_project_subtitle',
    array(
        'settings'      => 'peccular_project_subtitle',
        'section'       => 'peccular_project_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_project_subtitle2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'View More', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_project_subtitle2',
    array(
        'settings'      => 'peccular_project_subtitle2',
        'section'       => 'peccular_project_section', 
        'type'          => 'text',
        'label'         => __( 'Section Right Link', 'peccular' )
    )
);
$wp_customize->add_setting('peccular_project_subtitle2link',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_project_subtitle2link',
    array(
        'settings'      => 'peccular_project_subtitle2link',
        'section'       => 'peccular_project_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'peccular-premium' )
    )
);



$ProjectSingleChoice[] = 'select';
if(!is_array($ProjectSingleChoice)){
    $wp_customize->add_setting('peccular_project_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_project_area_lbl',
            array(
                'settings'      => 'peccular_project_area_lbl',
                'section'       => 'peccular_project_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the project.</strong> <br/>Please add the project from "project menu" and then select Testimonial to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_project_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_project_section_lbl',
        array(
            'settings'      => 'peccular_project_section_lbl',
            'section'       => 'peccular_project_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[PROJECT]" in your page to list the project in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_project_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_project_npp_count',
    array(
        'settings'      => 'peccular_project_npp_count',
        'section'       => 'peccular_project_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Project To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//project PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_project_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_project_heading'.$i,
            array(
                'settings'      => 'peccular_project_heading'.$i,
                'section'       => 'peccular_project_section',
                'label'         => __( 'Project ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_project_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_project_page'.$i,
        array(
            'settings'      => 'peccular_project_page'.$i,
            'section'       => 'peccular_project_section',
            'type'=> 'select',
            'label'         => __( 'Select Project', 'peccular Premium' ),
            'choices' => $ProjectSingleChoice,
        )
    );
}

    $wp_customize->add_setting( 'peccular_project_button_enable',array(
        'default' => true,
        'sanitize_callback' => 'peccular_switch_sanitization'
    ) );
    $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_project_button_enable',array(
        'label' => __( 'Button Display','peccular' ),
        'section' => 'peccular_project_section'
    )));

    $wp_customize->add_setting(
        'peccular_project_button_text',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Read More' )
        )
    );
    $wp_customize->add_control(
        'peccular_project_button_text',
        array(
            'settings'      => 'peccular_project_button_text',
            'section'       => 'peccular_project_section',
            'type'          => 'text',
            'label'         => __( 'Button Text', 'peccular-premium' )
        )
    );


    $wp_customize->add_setting('peccular_project_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_project_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_project_section',
    ));


    $wp_customize->add_setting('peccular_project_post_image_height',array(
        'default' => 200,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_project_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_project_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    // $wp_customize->add_setting('peccular_project_post_excerpt',array(
    //     'default' => 10,
    //     'sanitize_callback' => 'peccular_sanitize_integer'
    // ));
    // $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_project_post_excerpt',array(
    // 'label' => __('Excerpt Length','peccular'),
    // 'section' => 'peccular_project_section',
    // 'input_attrs' => array(
    //         'min' => 0,
    //         'max' => 100,
    //         'step' => 1,
    //     ),
    // )));
  


    $wp_customize->add_setting('peccular_project_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_project_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_project_section'
   ));

     $wp_customize->add_setting('peccular_project_section_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_project_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_project_section',
    ));
     $wp_customize->add_setting('peccular_project_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_project_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_project_section',
    ));

// backgroundManager($wp_customize, 'project', 'peccular_project_section', $color='#fdfdfd',get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_project_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_project_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_project_section',
    )));

    $wp_customize->add_setting( 'peccular_project_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_project_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_project_section',
    )));


     $wp_customize->add_setting('peccular_project_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_project_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_project_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));



    $wp_customize->add_setting('peccular_project_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_project_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_project_section',
    ));

$wp_customize->add_setting('peccular_project_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_project_title_case',array(
        'type' => 'select',
        'label' => __('Project Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_project_section',
    ));

    $wp_customize->add_setting('peccular_project_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_project_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_project_section',
    ));

     $wp_customize->add_setting('peccular_project_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_project_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_project_section',
    ));


addColorPalatOption($wp_customize, 'peccular_project_heading_color', 'peccular_project_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_project_subheading_color', 'peccular_project_section', 'Sub Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_project_subheading2_color', 'peccular_project_section', 'Right Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_project_title_color', 'peccular_project_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_project_btn_color', 'peccular_project_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_project_btnhovborder_color', 'peccular_project_section', 'Button Hover Border Color', '');
addColorPalatOption($wp_customize, 'peccular_project_btnhover_color', 'peccular_project_section', 'Button Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_project_btnbghover_color', 'peccular_project_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_project_box_color', 'peccular_project_section', 'Box Color', '');
 ?>